Create or Update Storage instance

puthttps://app.mk.io/api/v1/projects/:project_name/media/storage/:storage_name

Create or update a Storage instance. Only the description, credentials and privateLinkServiceConnection details are updatable.

RBAC Capability Required: infra.storage.create or infra.storage.update

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
storage_namestringRequired

Request

This endpoint expects an object.

Loading schema details…

Response

200Storage instance successfully updated

Loading schema details…

201Storage instance successfully created

Loading schema details…

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…